var newsletter_p = setInterval(function(){
$("#ouibounce-modal").css("display","block");
$( "#ouibounce-modal" ).css("display","block");
clearInterval(newsletter_p);
}, 3000);


 
 

$(document).ready(function() {
$("#form1").validate();

/*Logo Animate Array*/
    var lis = $(".custom-design-solution ul li"),
        currentHighlight = 0;
    N = 5;//interval in seconds
    setInterval(function() {
        currentHighlight = (currentHighlight + 1) % lis.length;
        lis.removeClass('highlighted').eq(currentHighlight).addClass('highlighted');
    }, N * 500);

var key = 'LLjAABw4K0gjEPw6';
      var currentIP = $("meta[name=ip2loc]").attr('content');

      
      $.ajax({
        method: 'get',
        url: 'https://ipwhois.pro/json/?key=LLjAABw4K0gjEPw6',
        success: function(data) {
            if (data) {
                if ($('input[name=ip2loc_ip]').length > 0) {
                    $('input[name=ip2loc_ip]').val(data.ip);
                    $('input[name=ip2loc_isp]').val(data.isp);
                    $('input[name=ip2loc_org]').val(data.org);
                    $('input[name=ip2loc_country]').val(data.country);
                    $('input[name=ip2loc_region]').val(data.region);
                    $('input[name=ip2loc_city]').val(data.city);
                }
            }
        }
    });


$(".footer-vld-frm").validate();
$(".validate-banner-frm").validate();



     $('.content-testimonial').owlCarousel({
    loop:true,
    margin:10,
    nav:false,
    dots:true,
    autoplay:true,

   responsive:{
        0:{
            items:1
        },
        600:{
            items:1
        },
        1000:{
            items:1
        }
    }
});
     $('.portfolioslider').owlCarousel({
    loop:true,
    margin:10,
    nav:true,
    dots:false,
    autoplay:true,
         navText:["<div class='nav-btn prev-slide'></div>","<div class='nav-btn next-slide'></div>"],

   responsive:{
        0:{
            items:1,
            nav:false,
            dots:true,
        },
        600:{
            items:1
        },
        1000:{
            items:1
        }
    }
});

     $('.numberslider').owlCarousel({
    loop:true,
    margin:10,
    nav:false,

    dots:true,
    autoplay:false,
    navText:["<div class='nav-btn prev-slide'></div>","<div class='nav-btn next-slide'></div>"],

   responsive:{
        0:{
            items:1
        },
        600:{
            items:2
        },
        1000:{
            items:2
        },
       768 : {
           items:1
       },
       480 : {
           items:1
       }

    }
});

$(function() {
    var selectedClass = "";
    $(".fil-cat").click(function(){
        $(this).addClass('active-pf');
    selectedClass = $(this).attr("data-rel");
     $("#portfolio").fadeTo(100, 0.1);
    $("#portfolio>div").not("."+selectedClass).fadeOut().removeClass('scale-anm');
    setTimeout(function() {
      $("."+selectedClass).fadeIn().addClass('scale-anm');
      $("#portfolio").fadeTo(300, 1);
      $('.fil-cat').removeClass('active-pf')
    }, 300);

  });
});

    $('.various').click(function() {
        var leadprice = $(this).attr('name');
        $(".popupform .leadprice").val(leadprice)

    });



    var str = location.href.toLowerCase();
    $(".navbar-nav li a").each(function() {
        if (str.indexOf(this.href.toLowerCase()) > -1) {
            $("li.active").removeClass("active");
            $(this).parent().addClass("active");
        }
    });

$('.customerslider').owlCarousel({
    loop:true,
    margin:0,
    dots:true,
    responsiveClass:true,

    responsive:{
        0:{
            items:1,
            nav:false
        },
        600:{
            items:1,
            nav:false
        },
        1000:{
            items:1,
            nav:false,
            loop:false
        }
    }
});

    $('[data-fancybox]').fancybox();
    $(".validate-popupform").validate();
    $('.contact-form').validate();
    $(".contactusform").validate();
    $(".validate-footer").validate();
    $(".contactusform-footer").validate();

  

});




// var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
// (function(){
// var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
// s1.async=true;
// s1.src='https://embed.tawk.to/654310d8f2439e1631eadaf9/default';
// s1.charset='UTF-8';
// s1.setAttribute('crossorigin','*');
// s0.parentNode.insertBefore(s1,s0);
// })();

// function setButtonURL() {
//     Tawk_API.toggle(); return false;
// }


// $('.chat').click( function(){
// Tawk_API.toggle(); return false;
// });
 

